{ pkgs ? import <nixpkgs> { } }:
let
  repo = pkgs.fetchFromGitHub {
    owner = "golang";
    repo = "tools";
    rev = "1ace956b0e17ff85a6f9bdf6973af28a26234113";
    hash = "sha256:1fdhfil59w1nvz23x1qsvlpwl3yilifx6lvimnlg9r3fbzmhmqjh";
  };

  out = pkgs.buildGoPackage {
    name = "gopls-git";
    goPackagePath = "golang.org/x/tools";
    src = repo;
    goDeps = ./deps.nix;
    modSha256 = "sha256:07gdrkdsaj78f9b6aigxqf0j46km5s39m1aswj10aj5bwdd9klid";
    subPackages = [ "gopls" ];
  };
in out
